#!/bin/sh
if [ `uname -s` = "Linux" ]; then
	if [ `uname -m` = "x86_64" ]; then
		../tools/premake4-linux-x64 gmake
	elif [ `uname -m` = "armv6l" ]; then
		../tools/premake4-linux-arm gmake
		sed -i 's/-m32//g' build_linux_arm/*.make
	else
		../tools/premake4-linux-x86 gmake
	fi	
else
	if [ `uname -m` = "x86_64" ]; then
		../tools/premake4-macosx-x64 gmake
	else
		../tools/premake4-macosx-x86 gmake
	fi
fi
